<?php
session_start();


include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

	 extract($_POST);	 echo"$listacd $pago"; $xasig=0;
$id_cd=$sesion->id;
$qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
$ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
$rrc = mysqli_fetch_row($ccc1);
$id_inv=$rrc[0];
  $busqusr2 = "SELECT month(curdate()) as elmes, year(curdate()) as elano";

   $cons2 = mysqli_query($conexion, $busqusr2) or die ('Err0: '.mysqli_error($conexion));

   $usr2 = mysqli_fetch_object($cons2);

   $mes3 = $usr2->elmes; $ano3 = $usr2->elano; 
   $fechai="$ano3-$mes3-01";$fechaf="$ano3-$mes3-31";
$q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci";
$consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Nuevos Inscritos</label><br>
<br>Seleccione una fecha incial y una fecha final <br>haciendo click en los caledarios que se encuentran a la derecha<br>
<br></center>

<form name=\"Agrega\" action=\"inscritos.php\" method=\"post\">
<div align=\"center\">
<table width=\"357\" height=\"120\" border=\"1\">
<tr><td>Fecha Inicial:<td/>
<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" 
onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
</tr>
<tr><td>Fecha Final:<td/>
<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\"
onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
</tr>


<tr><td></td><td></td><td>
<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Reporte\" />
</td></tr>
</table></div></form>";

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

if($generar=="Generar Reporte"){
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
 
  
echo"$mes3 $ano3";
$vta_total=0;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
		$q2 = "SELECT rfc, nombre, appat, apmat, idprom, tel1, tel2, wa, ciudad, usuarios_ci_idusuarios_ci, cant , consec, fechat, estampa, tipostr_idtipostr, idtransacciones, vip, id_inver
FROM transacciones
JOIN inversionista ON inversionista.id_inver = transacciones.inversionista_id_inver
JOIN pedido ON transacciones.idtransacciones = pedido.transacciones_idtransacciones
WHERE (productos_idprod =525 or productos_idprod =1)  and fechat between \"$fecha1\" and \"$fecha2\" and (tipostr_idtipostr=10 or tipostr_idtipostr=12)
 
      ";
	

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta depositos ' . mysqli_error($conexion));

  echo"<center><br>Nuevos Inscritos en el periodo<table border=\"1\"> <tr>
<th>RFC</th><th>tipo</th><th>Nombre</th><th>ID Prom</th><th>Tel1</th><th>Tel2</th><th>Whatsapp</th><th>ciudad</th><th>compmes</th>
<th>Pedido</th><th>Cant</th><th>Fecha Comp</th><th>Fecha Insc</th>
</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	  $a17 = $r1[17];
	$vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$a17\" and fechat between \"$fechai\" and \"$fechaf\"";
           $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr8 = mysqli_fetch_row($vtas1);
           $valin=$rr8[0]; 
           
	  
	  
	  
	  
	  
    $a0 = $r1[0];
    $a1 = $r1[1];
    $a2 = $r1[2];
    $a3 = $r1[3];
    $a4 = $r1[4];
    $a5 = $r1[5];
    $a6 = $r1[6];
    $a7 = $r1[7];
    $a8 = $r1[8];
    $a9 = $r1[9];
    $a10 = $r1[10];
    $a11 = $r1[11];
    $a12 = $r1[12];
    $a13 = $r1[13];	  
    $a14 = $r1[14];
    $a15 = $r1[15];
    if($r1[16]==1){$vip="VIP";}else{$vip="624";}
    $vta_total++;
echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
<tr><td>$a0</td><td>$vip</td><td align=\"center\"><b>$a1 $a2 $a3</b></td><td>$a4</td><td>$a5</td><td>$a6</td><td>$a7</td><td>$a8</td><td>$valin</td>"
        . "<td>$a9-$a11</td><td>$a10</td><td>$a12</td><td>$a13</td>
        
<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" />
<input type=hidden name=pedido value=$a15>
</form></td><td><form name=\"busca\" action=\"atencion2.php\" method=\"post\">

			<input type=hidden name=rfcpr value=$a0 />

<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Info Int\" /></form></td></tr>";
	}

$q21 = "SELECT rfc, nombre, appat, apmat, idprom, tel1, tel2, wa, ciudad, usuarios_ci_idusuarios_ci, cant , consec, fechat, estampa, tipostr_idtipostr, idtransacciones, vip, id_inver
FROM transacciones
JOIN inversionista ON inversionista.id_inver = transacciones.inversionista_id_inver
JOIN pedido_real ON transacciones.idtransacciones = pedido_real.transacciones
WHERE (id_prod =525 or id_prod =1) and fechat between \"$fecha1\" and \"$fecha2\" and (tipostr_idtipostr=12)
 
      ";

  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta depositos ' . mysqli_error($conexion));

 

  for($i=0;$r1 = mysqli_fetch_row($c21);$i++){
	    $a17 = $r1[17];
	$vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$a17\" and fechat between \"$fechai\" and \"$fechaf\"";
           $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr8 = mysqli_fetch_row($vtas1);
           $valin=$rr8[0]; 
    $a0 = $r1[0];
    $a1 = $r1[1];
    $a2 = $r1[2];
    $a3 = $r1[3];
    $a4 = $r1[4];
    $a5 = $r1[5];
    $a6 = $r1[6];
    $a7 = $r1[7];
    $a8 = $r1[8];
    $a9 = $r1[9];
    $a10 = $r1[10];
    $a11 = $r1[11];
    $a12 = $r1[12];
    $a13 = $r1[13];	  
    $a14 = $r1[14];
    $a15 = $r1[15];
    $vta_total++;
if($r1[16]==1){$vip="VIP";}else{$vip="624";}
echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
<tr><td>$a0</td><td>$vip</td><td align=\"center\"><b>$a1 $a2 $a3</b></td><td>$a4</td><td>$a5</td><td>$a6</td><td>$a7</td><td>$a8</td><td>$valin</td>"
        . "<td>$a9-$a11</td><td>$a10</td><td>$a12</td><td>$a13</td>
        
<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /></td></tr>
<input type=hidden name=pedido value=$a15>
</form>
";





}


echo"</table><br>Inscritos Totales Asignados: <font size=\"5\"> <b>$vta_total</b></font><br>";


	$q23 = "SELECT rfc, nombre, appat, apmat, SUM( cant ), SUM( asignar )
FROM transacciones
JOIN inversionista ON transacciones.inversionista_id_inver = inversionista.id_inver
JOIN  `nsalida` ON nsalida.transacciones_idtransacciones = transacciones.idtransacciones
WHERE  `productos_idprod` =525
GROUP BY rfc 
      ";
	

  $c23 = mysqli_query($conexion, $q23) or die ('Error en la consulta depositos ' . mysqli_error($conexion));

  echo"<center><br>Producto Pendiente por Asignar<table border=\"1\"> <tr>
<th>RFC</th><th>Nombre</th><th>X Asig</th><</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c23);$i++){
    $a0 = $r1[0];
    $a1 = $r1[1];
    $a2 = $r1[2];
    $a3 = $r1[3];
    $a4 = $r1[4];
    $a5 = $r1[5];
        $xasig+=$a5;
        if($a5>0){
echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
<tr><td>$a0</td><td align=\"center\"><b>$a1 $a2 $a3</b></td><td>$a5</td>
        
<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" disabled/></td></tr>
<input type=hidden name=pedido value=$a15>
</form>";}
	}$kitstot=$xasig+$vta_total;
	echo"</table><br>Inscritos Totales Por Asignar: <font size=\"5\"> <b>$xasig</b></font><br><br>";
	echo"</table><br>Kits totales vendidos: <font size=\"5\"> <b>$kitstot</b></font><br><br>";
}

?>